package com.ruoyi.common.security.handler;

import com.ruoyi.common.core.utils.poi.ExcelHandlerAdapter;
import com.ruoyi.common.security.utils.DictUtils;
import com.ruoyi.system.api.domain.SysDictData;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author YaphetS
 */
@Component
public class DictHandler implements ExcelHandlerAdapter {

    @Override
    public String format(Object value, String[] args) {
        if(args.length>0){
            List<SysDictData> dictCache = DictUtils.getDictCache(args[0]);
            for (SysDictData data : dictCache) {
                if(data.getDictValue().equals(value)){
                    return data.getDictLabel();
                }
            }
        }
        return "";
    }
}
